Get column tasks
curl --request GET \
--url https://app.usequeue.com/api/v1/columns/{column_id}/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.usequeue.com/api/v1/columns/{column_id}/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usequeue.com/api/v1/columns/{column_id}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"tasks": [
{
"id": "abc123",
"title": "Follow up with client",
"description": "We need to confirm delivery status by Friday.",
"cover_url": "https://example.com/image.png",
"priority": "high",
"deadline": "2025-08-01T17:00:00Z",
"position": 3,
"created_at": "2025-07-25T14:21:00Z",
"updated_at": "2025-07-26T09:13:00Z",
"fields": {
"due_by": "Friday",
"client": "Acme Inc."
},
"sections": {
"general": {
"status": "In Review",
"assignee": "Jane"
}
}
}
]
}Tasks
All Tasks
GET
/
columns
/
{column_id}
/
tasks
Get column tasks
⌘I

